% GP Help File
%
% The GAUSSIAN PROCESS Toolbox contains several derived functions based on
% the optimising the log-likelihood function, as well as prediction for the
% posterior of the Gaussian process prior models.
%
%   DIAGADD             : Q + v*eye(N0)
%   EXPACOV             : a*exp{-0.5*[zi-zj]'*D*[zi-zj]}
%   GP2_IDEN            : returns pred. and std. dev. of obs.
%   GP2_IDEN_DERV       : returns pred. and std. dev. of derivative obs.
%   GP2_IDENCOV         : returns pred. and covariance matrix of obs.
%   GP_PSD              : hyperparameter initialisation using PSD.
%   ISEVEN              : check input elements if they are even.
%   NOLIN_A             : a = y'*inv(P)*y/N0
%   NOLIN_GRAD          : GP optimisation script
%   NOLIN_GRAD_OPTAG    : GP optimisation script
%   NOLIN_HESS          : GP optimisation script
%   NOLIN_HESS_OPTAG    : GP optimisation script
%   REPCOV              : [zi-zj].^2.*D
%   RUN_DEMO            : Simple Gaussian regression demonstration script.
%   TRACEAXB            : trace(A*B)
%
%
% (C) Gaussian Process Toolbox 1.0
% (C) Copyright 2004-2007, Keith Neo <keith.neo@nuim.ie>
%                          http://www.hamilton.ie
